使用VS(td)和sql server 2005在vista旗舰版上安装Ajax时出现问题[英] Problem with Ajax install on vista ultimate with VS(td) and sql server 2005

问题描述

大家好.

我最近用 Visual Studio 重建了我的 Vista Ultimate 工作站
团队开发者版.我还安装了 SQL Server 2005 工具和
它已完全修补.

在重建之前,我在 VS 中构建了一个 Web 应用程序,我已经
刚来做一些工作,它提醒我我需要
再次安装 Ajax 1.0,因为我还没有安装(Ajax 已安装
之前和网站使用它)但是当我去安装它时
(Ajax) 我收到以下错误...

Microsoft ASP.NET 2.0 AJAX Extensions 1.0 需要 .NET Framework
2.0 或 .NET Framework 3.0.可以找到 .Net Framework 安装程序
在网站上 (http://go.microsoft.com/fwlink/?LinkID=76097).请
安装兼容版本的框架,然后重试.

但是,两个框架都已安装并且似乎工作正常?
Visual Studio 已应用 SP1,SQL Server 2005 已应用 SP2
并安装了 SP2 的重要更新.

谁能帮忙告诉我我是怎么知道的
问题是,如何修复它并安装 AJAX?如果您需要更多
信息,请告诉我...

谢谢

推荐答案

但是,两个框架都已安装并且似乎工作正常?

当您说工作正常时,工作正常是什么意思?
--
~~~~~~~~~~~
本拉什
http://www.ben-rush.net/blog
"卡尔"<去**********@tlbsolutions.com 在留言中写道
新闻:11**********************@l75g2000hse.googlegr oups.com...
大家好.

我最近用 Visual Studio 重建了我的 Vista Ultimate 工作站
团队开发者版.我还安装了 SQL Server 2005 工具和
它已完全修补.

在重建之前,我在 VS 中构建了一个 Web 应用程序,我已经
刚来做一些工作,它提醒我我需要
再次安装 Ajax 1.0,因为我还没有安装(Ajax 已安装
之前和网站使用它)但是当我去安装它时
(Ajax) 我收到以下错误...

Microsoft ASP.NET 2.0 AJAX Extensions 1.0 需要 .NET Framework
2.0 或 .NET Framework 3.0.可以找到 .Net Framework 安装程序
在网站上 (http://go.microsoft.com/fwlink/?LinkID=76097).请
安装兼容版本的框架,然后重试.

但是,两个框架都已安装并且似乎工作正常?
Visual Studio 已应用 SP1,SQL Server 2005 已应用 SP2
并安装了 SP2 的重要更新.

谁能帮忙告诉我我是怎么知道的
问题是,如何修复它并安装 AJAX?如果您需要更多
信息,请告诉我...

谢谢


但是,两个框架都已安装并且似乎工作正常?
>
当您说工作正常时,工作正常是什么意思?
当我运行 VS 并调试不使用 AJAX 的站点或应用程序时,
他们似乎工作正常.

我确实尝试从可再发行文件重新安装 Framework 2.0
(来自 MS 站点的 dotnetfx.exe)它告诉我它已经是
安装.我用 Framework 3.0 redist 文件尝试了同样的事情
(dotnetfx3setup.exe) 我收到一条消息说 XP SP2 不是
安装后无法继续...

确实发生了奇怪的事情... :)


(dotnetfx3setup.exe) 我收到一条消息说 XP SP2 不是
已安装,无法继续...
我想实际上已经安装了 XP SP2?
"卡尔"<去**********@tlbsolutions.com 在留言中写道
新闻:11*********************@d57g2000hsg.googlegro ups.com...
但是,两个框架都已安装并且似乎工作正常?

当您说工作正常时,工作正常是什么意思?

当我运行 VS 并调试不使用 AJAX 的站点或应用程序时,
他们似乎工作正常.

我确实尝试从可再发行文件重新安装 Framework 2.0
(来自 MS 站点的 dotnetfx.exe)它告诉我它已经是
安装.我用 Framework 3.0 redist 文件尝试了同样的事情
(dotnetfx3setup.exe) 我收到一条消息说 XP SP2 不是
安装后无法继续...

确实发生了奇怪的事情... :)


本文地址:https://www.itbaoku.cn/post/1050411.html